#include <stdlib.h>
#include <stdio.h>
double ndot(int n, double *x, double *y)
{
    double tot=0;
    #pragma omp parallel for shared(x,y,n,tot) 
    for (int i=0; i<n; i++)
        tot += x[i] * y[i];
    return tot;
}

int main(int argc, char** argv) {
    int n=1e7;
    double *x = malloc(n*sizeof(double));
    double *y = malloc(n*sizeof(double));
    for (int i=0; i<n; i++) {
        x[i] = i;
        y[i] = i;
    }
    double nn=n-1;
    double ans=nn*(nn+1)*(2*nn+1)/6.0;
    double dot=ndot(n,x,y);
    return 0;
}
