function ndot(n,x,y)
  integer n
  double precision x(n), y(n)
  double precision tot
  tot=0
!$omp parallel shared(x,y,n,tot)
!$omp do 
  do i=1,n
     tot = tot + x(i) * y(i)
  end do
!$omp end do
!$omp end parallel
  ndot = tot
  return 
end function ndot

program ex5f
  integer, parameter :: n=10000000
  double precision, allocatable :: x(:), y(:)
  double precision nn,ans,dot
  allocate(x(n))
  allocate(y(n))
  do i=1,n
     x(i) = i
     y(i) = i
  end do
  nn=n-1
  ans=nn*(nn+1)*(2*nn+1)/6.0
  dot=ndot(n,x,y)
  deallocate(x)
  deallocate(y)
end program ex5f
